Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2007-4542

Overview

Vulnerability Score 4.3 4.3
CVE Id CVE-2007-4542
Last Modified 07 Mar 2011 09:58:44
Published 27 Aug 2007 05:17:00
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2007-4542

Summary

Multiple cross-site scripting (XSS) vulnerabilities in MapServer before 4.10.3 allow remote attackers to inject arbitrary web script or HTML via unspecified vectors involving the (1) processLine function in maptemplate.c and the (2) writeError function in mapserv.c in the mapserv CGI program.

Vulnerable Systems

Application

  • University Of Minnesota Mapserver 4.10.3


References

SECUNIA - 26561

VUPEN - ADV-2007-2974

CONFIRM - http://trac.osgeo.org/mapserver/ticket/2256

MISC - http://trac.osgeo.org/mapserver/attachment/ticket/2256/ms-bug-2256-4.8.patch

MISC - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=439346

FEDORA - FEDORA-2007-2018

BID - 25582

DEBIAN - DSA-1539

SECUNIA - 29688

SECUNIA - 26718

CONFIRM - http://mapserver.gis.umn.edu/download/current/HISTORY.TXT/


Last Updated: 27 May 2016 10:45:54